Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ResultVersionRecord

All Superinterfaces:
  PropertiesCreator, java.io.Serializable, VersionRecord

    public interface ResultVersionRecord

extends VersionRecord, PropertiesCreator

Interface `VersionRecord` represents a result version record of a report.

Method Summary
`java.util.Hashtable` | `getAllReportResultFiles()` Return all reports' result files' name of the result version, result files may be various format, returned Hashtable contains pairs of report names and ResultFiles contains result file names.
`ResultFiles` | `getAllResultFiles()` Deprecated. replaced by getAllReportResultFiles()
`java.lang.String` | `getCatalogFile()` Get the catalog filename.
`java.util.Date` | `getCreatedTime()` Return the created time of the result version.
`int` | `getExpirationMethod()` Return the auto expire method of the result version.
`java.util.Date` | `getExpirationTime()` Return the expiration time of the result version.
`java.lang.String` | `getParamFile()` Return the parameter filename of the result version.
`java.lang.String` | `getReportFile()` Get the report filename.
`java.lang.String` | `getResultFile()` Deprecated. replaced by getAllResultFiles()
`java.lang.String` | `getSubmitter()` Deprecated. As of version 6, replace by `getCreator()`.
`java.lang.String` | `getVersionID()` Return the version ID.

Methods inherited from interface jet.server.api.VersionRecord
`getCreator, getRealPath, getResourcePath, getVersionName, getVersionNumber`

Methods inherited from interface jet.server.api.PropertiesCreator
`toProperties`

Method Detail

### getVersionID

    java.lang.String getVersionID()

  Return the version ID.

  Specified by:
    `getVersionID` in interface `VersionRecord`
  Returns:
    the version ID.

### getCatalogFile

    java.lang.String getCatalogFile()

  Get the catalog filename.

  Returns:
    the catalog filename.

### getReportFile

    java.lang.String getReportFile()

  Get the report filename.

  Returns:
    the report filename.

### getResultFile

    java.lang.String getResultFile()

  Deprecated. replaced by getAllResultFiles()

  Return the result filename of the result version.

  Returns:
    the result filename of the result version.

### getAllResultFiles

    ResultFiles getAllResultFiles()

  Deprecated. replaced by getAllReportResultFiles()

  Return all result files' name of the result version, result files may be various format, returned ResultFiles instance represent all result files by their file name.

  Returns:
    the result filenames of the result version.

### getAllReportResultFiles

    java.util.Hashtable getAllReportResultFiles()

  Return all reports' result files' name of the result version, result files may be various format, returned Hashtable contains pairs of report names and ResultFiles contains result file names. *

  Returns:
  Since:
    v8.0

### getParamFile

    java.lang.String getParamFile()

  Return the parameter filename of the result version.

  Returns:
    the parameter filename of the result version.

### getCreatedTime

    java.util.Date getCreatedTime()

  Return the created time of the result version.

  Specified by:
    `getCreatedTime` in interface `VersionRecord`
  Returns:
    the created time of the result version.

### getExpirationTime

    java.util.Date getExpirationTime()

  Return the expiration time of the result version.

  Returns:
    the expiration time of the result version.

### getExpirationMethod

    int getExpirationMethod()

  Return the auto expire method of the result version.

  Returns:
    the expiration method of the result version.

### getSubmitter

    java.lang.String getSubmitter()

  Deprecated. As of version 6, replace by `getCreator()`.

  Return the submitter of the result version.

  Returns:
    the submitter of the result version.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD